Subject: Re: [bug#70800] [PATCH v2] scripts: style: Add 'alphabetical-sort' option.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Jul 2024 17:12:51 +0200

Hi Herman,

Herman Rimm <[email-masked]> skribis:

> * guix/scripts/style.scm (show-help): Describe option.
> (order-packages): Add procedure.
> (format-whole-file): Add 'order?' argument.
> (%options): Add 'alphabetical-sort' option.
> (guix-style): Alphabetically order packages in files.
> * doc/guix.texi (Invoking guix style): Document option.
>
> Change-Id: I4aa7c0bd0b6d42529ae7d304587ffb10bf5f4006
> ---
> Hi,
>
> I should have mentioned it back then, but in May and again today I tried
> to not use a reverse.  If you can do a sort without it, please amend the
> patch.  This revision takes the other feedback into account.

This looks great to me, thanks!  I realize I forgot to ask you to add
tests to ‘tests/guix-style.sh’—my bad.

Would you be willing and able to submit an updated version with tests?
If not (which I’d understand), I can allocate time to do it.

Thanks,
Ludo’.